XIncludeFile "TabBarGadget.pbi"

Enumeration
	#Window
	#TabBarGadget_Top
	#TabBarGadget_Right
	#TabBarGadget_Bottom
	#TabBarGadget_Left
	#EditorGadget
	#Directory
EndEnumeration

UsePNGImageDecoder()

Define Index.i, Attribute.i = #TabBarGadget_CloseButton|#TabBarGadget_NewTab|#TabBarGadget_PopupButton


OpenWindow(#Window, 0, 0, 1200, 420, "TabBarGadget", #PB_Window_ScreenCentered|#PB_Window_SystemMenu|#PB_Window_SizeGadget)

TabBarGadget(#TabBarGadget_Top, 30, 5, WindowWidth(#Window)-60, 25, Attribute)
TabBarGadget(#TabBarGadget_Right, WindowWidth(#Window)-30, 30, 25, WindowHeight(#Window)-60, Attribute|#TabBarGadget_Vertical|#TabBarGadget_MirroredTabs)
TabBarGadget(#TabBarGadget_Bottom, 30, WindowHeight(#Window)-30, WindowWidth(#Window)-60, 25, Attribute|#TabBarGadget_MirroredTabs)
TabBarGadget(#TabBarGadget_Left, 5, 30, 25, WindowHeight(#Window)-60, Attribute|#TabBarGadget_Vertical)

For Index = #TabBarGadget_Top To #TabBarGadget_Left
	AddTabBarGadgetItem(Index, #PB_Default, "TabBarGadget-Test")
	AddTabBarGadgetItem(Index, #PB_Default, "Kurz")
	AddTabBarGadgetItem(Index, #PB_Default, "Mittellang", ImageID(CatchImage(#PB_Any, ?green)))
	AddTabBarGadgetItem(Index, #PB_Default, "Sehr langer Text")
	AddTabBarGadgetItem(Index, #PB_Default, "Unglaublich riesige Zeichenkette")
	DisableTabBarGadgetItem(Index, #TabBarGadgetItem_NewTab, 1)
Next

EditorGadget(#EditorGadget, 30, 30, WindowWidth(#Window)-60, WindowHeight(#Window)-60)

Repeat
	
	Select WaitWindowEvent()
		Case #PB_Event_CloseWindow
			End
			
		Case #PB_Event_SizeWindow
			ResizeGadget(#TabBarGadget_Top, 5+GadgetWidth(#TabBarGadget_Left), 5, WindowWidth(#Window)-GadgetWidth(#TabBarGadget_Left)-GadgetWidth(#TabBarGadget_Right)-10, #PB_Ignore)
			ResizeGadget(#TabBarGadget_Right, WindowWidth(#Window)-GadgetWidth(#TabBarGadget_Right)-5, 5+GadgetHeight(#TabBarGadget_Top), #PB_Ignore, WindowHeight(#Window)-GadgetHeight(#TabBarGadget_Top)-GadgetHeight(#TabBarGadget_Bottom)-10)
			ResizeGadget(#TabBarGadget_Bottom, 5+GadgetWidth(#TabBarGadget_Left), WindowHeight(#Window)-GadgetHeight(#TabBarGadget_Bottom)-5, WindowWidth(#Window)-GadgetWidth(#TabBarGadget_Left)-GadgetWidth(#TabBarGadget_Right)-10, #PB_Ignore)
			ResizeGadget(#TabBarGadget_Left, 5, 5+GadgetHeight(#TabBarGadget_Top), #PB_Ignore, WindowHeight(#Window)-GadgetHeight(#TabBarGadget_Top)-GadgetHeight(#TabBarGadget_Bottom)-10)
			UpdateTabBarGadget(#TabBarGadget_Top)
			UpdateTabBarGadget(#TabBarGadget_Right)
			UpdateTabBarGadget(#TabBarGadget_Bottom)
			UpdateTabBarGadget(#TabBarGadget_Left)
			ResizeGadget(#EditorGadget, 5+GadgetWidth(#TabBarGadget_Left), 5+GadgetHeight(#TabBarGadget_Top), WindowWidth(#Window)-GadgetWidth(#TabBarGadget_Left)-GadgetWidth(#TabBarGadget_Right)-10, WindowHeight(#Window)-GadgetHeight(#TabBarGadget_Top)-GadgetHeight(#TabBarGadget_Bottom)-10)
			
		Case #PB_Event_Gadget
			Select EventGadget()
				Case #TabBarGadget_Top To #TabBarGadget_Left
					Select TabBarGadgetEvent(EventGadget())
						Case #TabBarGadgetEvent_NewTab
							AddTabBarGadgetItem(EventGadget(), #PB_Default, "New tab")
						Case #TabBarGadgetEvent_CloseTab
							RemoveTabBarGadgetItem(EventGadget(), EventTab(EventGadget()))
						Case #TabBarGadgetEvent_Resized
							ResizeGadget(#TabBarGadget_Top, 5+GadgetWidth(#TabBarGadget_Left), 5, WindowWidth(#Window)-GadgetWidth(#TabBarGadget_Left)-GadgetWidth(#TabBarGadget_Right)-10, #PB_Ignore)
							ResizeGadget(#TabBarGadget_Right, WindowWidth(#Window)-GadgetWidth(#TabBarGadget_Right)-5, 5+GadgetHeight(#TabBarGadget_Top), #PB_Ignore, WindowHeight(#Window)-GadgetHeight(#TabBarGadget_Top)-GadgetHeight(#TabBarGadget_Bottom)-10)
							ResizeGadget(#TabBarGadget_Bottom, 5+GadgetWidth(#TabBarGadget_Left), WindowHeight(#Window)-GadgetHeight(#TabBarGadget_Bottom)-5, WindowWidth(#Window)-GadgetWidth(#TabBarGadget_Left)-GadgetWidth(#TabBarGadget_Right)-10, #PB_Ignore)
							ResizeGadget(#TabBarGadget_Left, 5, 5+GadgetHeight(#TabBarGadget_Top), #PB_Ignore, WindowHeight(#Window)-GadgetHeight(#TabBarGadget_Top)-GadgetHeight(#TabBarGadget_Bottom)-10)
							ResizeGadget(#EditorGadget, 5+GadgetWidth(#TabBarGadget_Left), 5+GadgetHeight(#TabBarGadget_Top), WindowWidth(#Window)-GadgetWidth(#TabBarGadget_Left)-GadgetWidth(#TabBarGadget_Right)-10, WindowHeight(#Window)-GadgetHeight(#TabBarGadget_Top)-GadgetHeight(#TabBarGadget_Bottom)-10)
					EndSelect
			EndSelect
			
	EndSelect
	
ForEver

DataSection
	green:
	Data.q $0A1A0A0D474E5089,$524448490D000000,$1000000010000000,$FFF31F0000000608,$5845741900000061
	Data.q $72617774666F5374,$2065626F64410065,$6165526567616D49,$00003C65C9717964,$DA7854414449D802
	Data.q $C7186193485B939C,$399D4D4D3CDB5B7F,$12CAD92583A4E64A,$910985D51175103C,$1754144145D85D51
	Data.q $8AAE8BC28A2EA09D,$89252F108302922E,$3B3091D1251A140E,$B664E6D6AB6595A8,$C6CF5F7DF74DCE93
	Data.q $EF7DF3C2F55E03A2,$9FFCF3EFFFFEFBC3,$D34B8CC3386DD1E7,$9365457ACA984D40,$625672AA5468B5F8
	Data.q $C50F18108A9B12B5,$572AE3325502330C,$1590BA5C5F6C0CD2,$7670A7CE6F92568B,$E83BB72987876F31
	Data.q $FFBBB7AEEBCCB9E8,$59C6D38571201022,$6AAAED66A8ABAC9C,$A0F3DEC6B869CD72,$94AAB6A7129A1EEF
	Data.q $DC3EB8FDBD2B4F2E,$DF4E3A7827F0D3A5,$4C46FAA68E25F992,$8766C31C6F17116A,$E5931EAAB9B0BD47
	Data.q $6B0590B46EE14313,$FFA23E82E9B0665E,$B1B6D8E79F665C13,$489FA3049BBE8F9E,$DBAEF61CF3D0374F
	Data.q $EA20E8919875864F,$D57E0DE317E8E434,$A911194906277E3C,$7EC77071C0B736D9,$A4B97CE94E3B5FCE
	Data.q $9DC1CD87071FE395,$60691900FAA276BE,$52C8C18FC9814234,$91C28A2CA20C0EBD,$2D85B9E030D71B2D
	Data.q $9D5D7857D7C8C1D7,$24403869EC45D328,$FF0EF6243C346416,$79F0F09764E637C4,$26D2B20464F5327F
	Data.q $B7D9964E63A32755,$368702908AF5D6D0,$AA12DC66E7FEE2EF,$2C54C63E4F16BE26,$E7E48A225DA52E82
	Data.q $B2F20FF0FE25F78B,$A89DEAE36B08080A,$B029744E42786FC6,$5D0790BE0689A62A,$9713C6250559218A
	Data.q $CE3AA7079D99AB53,$D5CDD878C8D95F52,$899B92C3728C6EDE,$30F045F9D34164D9,$298408BFF5EA10AA
	Data.q $126466A3EBDDA3E2,$3C4A25A1413FADF6,$1788A11D59654C5E,$909C13750450686F,$D04FF95EA304496A
	Data.q $CEA56CD112939E95,$04B7C973CB150594,$73953464C2DCF9E8,$4143B9480A54EC22,$4D95E1CEBFE8C790
	Data.q $5868CBDBAE351109,$6D1679061E2F0556,$FE9661B3B20F3AC1,$06013E744B8F7B77,$1886F9366DC3E084
	Data.q $FA6C4E628F10A648,$9CC3FDDF0BFB829E,$57FAA7486AD8D9F3,$EDA31C9A9B04A697,$A10C8DFEC92E45F1
	Data.q $AD28E6B05B133C92,$7C4EA19F74560CC6,$96733FCE58A15897,$AF4D33DD00AF4418,$8053F58FF9CB1EF4
	Data.q $1E159A3EEB9A0001,$4549000000001E02,$0000826042AE444E
EndDataSection

; IDE Options = PureBasic 5.10 Beta 2 (Windows - x64)
; CursorPosition = 14
; Folding = -
; EnableXP
; EnableCompileCount = 29
; EnableBuildCount = 0